@charset "UTF-8";
html {
    overflow-x: hidden;
}
body {
    background-color: rgb(255, 255, 255);
    font-family: 'Noto Sans JP', sans-serif;
    overflow-x: hidden;
    transition: background-color 0.3s ease;
}
.inner {
    margin: 0 auto;
    max-width: 1280px;
    padding: 0 15px;
}
.inner2 {
    margin: 0 auto;
    max-width: 1040px;
    padding: 0 20px;
}
/*logo*/
header .logo {
    max-width: 200px;
    width: 100%;
    height: auto;
    margin: 20px 0 0 0;
}
/*globalnav*/
.hamburger {
    margin: 10px auto;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.hamburger .btn-gNav {
    position: fixed;
    top: 45px;
    right: 20px;
    width: 30px;
    height: 24px;
    z-index: 12;
    opacity: 0.7;
    box-sizing: border-box;
    cursor: pointer;
    -webkit-transition: all 400ms;
    transition: all 400ms;
}
.hamburger .btn-gNav span {
    position: absolute;
    width: 100%;
    height: 4px;
    background: rgba(23, 23, 23, 0.9);
    border-radius: 10px;
    -webkit-transition: all 400ms;
    transition: all 400ms;
}
.scrolled.hamburger .btn-gNav span {
    background: #fff;
}
.hamburger .btn-gNav span:nth-child(1) {
    top: 0;
}
.hamburger .btn-gNav span:nth-child(2) {
    top: 10px;
}
.hamburger .btn-gNav span:nth-child(3) {
    top: 20px;
}
/***activeクラスが付与されると線が回転して×になる***/
.hamburger .btn-gNav.active span:nth-of-type(1) {
    top: 0px;
    left: 0px;
    transform: translateY(6px) rotate(-135deg);
    width: 100%;
    background: hsl(0, 0%, 100%);
}
.hamburger .btn-gNav.active span:nth-of-type(2) {
    opacity: 0;/*真ん中の線は透過*/
    transform: translateX(50px); /* 右に20px移動 */
    transition: transform 0.3s ease-out, opacity 0.3s ease-out;
    background: hsl(0, 0%, 100%);
}
.hamburger .btn-gNav.active span:nth-of-type(3){
    top: 12px;
    left: 0px;
    transform: translateY(-6px) rotate(135deg);
    width: 100%;
    background: hsl(0, 0%, 100%);
}
/**回転して×ここまで**/
.btn-gNav {
    display: none;
}
.gNav .gNav-menu {
    display: flex;
    justify-content: space-between;
}
.gNav .gNav-menu li {
    margin: 0 auto;
    padding: 0 10px;
    font-weight: 700;
    font-size: 14px;
}
.gNav .gNav-menu li a:hover{
	color: #cecece;
}

/*-----
    トップページ
    ------*/
/* メインセクション */
.main-section {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    background-image: url('../img/AdobeStock_336875100-1024x377.jpg');
    background-size: cover;
    background-position: center;
    text-align: center;
    color: white;
    padding: 0 20px;
    box-sizing: border-box;
    position: relative;
    margin-bottom: 150px;
}
.main-section h1 {
    font-size: 3rem;
    font-weight: bold;
    margin: 0;
    line-height: 1.4;
    letter-spacing: 2px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.6);
}
/* ボタンのスタイル */
.main-section .btn {
    margin-top: 20px;
    padding: 15px 30px;
    background-color: #333;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    font-size: 1.2rem;
    transition: background-color 0.3s ease;
}
.main-section .btn:hover {
    background-color: #555;
}
/* 提供するサービスセクション */
.featured-services {
    padding: 50px 20px;
    margin-bottom: 150px;
    background-color: #fff;
}
.featured-services h2 {
    font-size: 2rem;
    margin-bottom: 30px;
}
.service-list {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    flex-wrap: wrap;
}
.service-item:nth-child(2n) {
    margin-top: 50px;
}
.service-item {
    flex-direction: row;
    align-items: center;
    gap: 50px;
    position: relative;
    padding: 20px;
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 1s ease-out, transform 1s ease-out;
}
.service-item.show {
    opacity: 1;
    transform: translateY(0);
}
.service-image {
    position: relative;
    overflow: hidden;
}
.service-item img {
    max-width: 500px;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    transition: transform 0.3s ease;
}
.service-text {
    padding: 20px;
    color: #333;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: left;
    border-radius: 10px;
    width: 100%;
    max-width: 500px;
}
.service-text p {
    line-height: 1.8
}
.service-item h3 {
    margin-top: 15px;
    font-size: 1.5rem;
}
.service-item p {
    font-size: 1rem;
    color: #555;
}
/* 会社情報セクション */
.about-us {
    padding: 50px 20px;
    margin-bottom: 150px;
}
.about-us h2 {
    font-size: 2rem;
    margin-bottom: 30px;
    color: #333;
}
.about-content {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 30px;
    margin-top: 30px;
    position: relative;
}
.about-image {
    position: relative;
    overflow: hidden;
}
.about-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.about-text {
    max-width: 500px;
    height: 350px;
    width: 100%;
    border-radius: 10px;
    margin-left: -100px;
    padding: 20px;
    position: relative;
    z-index: 2;
    color: #101010;
    background-color: rgba(250, 250, 250, 0.4);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: justify;
    font-size: 1.4rem;
    font-weight: bold;
    line-height: 1.8;
    letter-spacing: 1.2px;
}
/* お問い合わせセクション */
.contact {
    border-top: 1px solid #181818;
    border-bottom: 1px solid #181818;
    padding: 50px 20px;
    text-align: center;
}
.contact h2 {
    font-size: 2.5rem;
    margin-bottom: 20px;
}
.contact a {
    background-color: #454545;
    color: #fff;
    padding: 15px 30px;
    text-decoration: none;
    border-radius: 5px;
    font-size: 1rem;
}
.contact a:hover {
    background-color: #5c5c5c;
}
/*------
    カンパニーページ
    ------*/
/* 会社についてセクション */
.company-about {
    margin-top: 150px;
    margin-bottom: 150px;
}
.company-about h2,
.company-info__wrapper-page h2 {
    font-size: 2rem;
    letter-spacing: 1.5px;
    color: #333;
    position: relative;
}
.company-about .tit_j {
    font-size: 1.1rem;
    margin-top: 20px;
    margin-bottom: 30px;
    line-height: 1;
}
.company-about p {
    width: 58%;
    text-align: justify;
    line-height: 3;
}
/* 会社概要セクション */
.company-info__wrapper-page .tit_j {
    font-size: 1.225rem;
    margin-top: 20px;
    margin-bottom: 40px;
    line-height: 1;
}
.company-info__wrapper-page {
    text-align: left;
    margin-bottom: 20px;
}
.company-info__details-page dl {
    display: flex;
    margin-bottom: 20px;
    
}
.company-info__details-page dt {
    font-weight: bold;
    color: #333;
    width: 150px;
    margin-right: 15px;
    white-space: nowrap;
}
.company-info__details-page dd {
    font-size: 1.1rem;
    color: #555;
    line-height: 1.9;
    letter-spacing: 2px;
}
/*-----
    サービスページ
    ------*/
.service-info {
    margin-top: 150px;
}
.service-info h2 {
    font-size: 2rem;
    letter-spacing: 1.5px;
    color: #333;
    position: relative;
    margin-bottom: 30px;
}
.service-card {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 200px;
    position: relative;
    overflow: visible;
}
.service-img-wrapper {
    flex-shrink: 0;
}
.service-img {
    max-width: 650px;
    width: 100%;
    height: auto;
}
.service-content-color {
    background-color: #f9f9f9;
    position: absolute;
    top: 0;
    bottom: 5px;
    z-index: -1;
    width: 100vw;
    padding: 20px;
}
.service-content h3 {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 15px;
    color: #1a1a1a;
    letter-spacing: 1.6px;
}
.service-content ul {
    list-style-type: disc;
    margin-left: 20px;
}
.service-content li {
    font-size: 14px;
    line-height: 1.5;
    margin-bottom: 10px;
    text-align: justify;
    color: #555;
}
/* スライドアニメーション */
.service-info__details-page {
    width: 100%;
    margin: 40px 0;
    opacity: 0;
    transition: opacity 2s, transform 2s;
}
.service-img-wrapper img {
    width: 100%;
    height: auto;
    opacity: 0;
    transition: opacity 2s, clip-path 2s;
}
.service-info__details-page:nth-child(even) .service-img-wrapper img {
    clip-path: inset(0 0 0 50%);
    opacity: 0;
}
.service-info__details-page:nth-child(even).show .service-img-wrapper img {
    clip-path: inset(0 0 0 0);
    opacity: 1;
}
.service-info__details-page:nth-child(odd) .service-img-wrapper img {
    clip-path: inset(0 50% 0 0);
    opacity: 0;
}
.service-info__details-page:nth-child(odd).show .service-img-wrapper img {
    clip-path: inset(0 0 0 0);
    opacity: 1;
}
.service-content {
    position: relative;
    z-index: 1;
    font-size: 16px;
    line-height: 1.6;
    color: #333;
    padding: 10px;
    opacity: 0;
    transition: transform 2s ease-out, opacity 2s ease-out;
}
.service-info__details-page:nth-child(even) .service-content {
    transform: translateX(-100px);
}
.service-info__details-page:nth-child(even).show .service-content {
    transform: translateX(0);
    opacity: 1;
}
.service-info__details-page:nth-child(odd) .service-content {
    transform: translateX(0);
    opacity: 1;
}
.service-info__details-page:nth-child(odd) .service-content {
    transform: translateX(100px);
}
.service-info__details-page:nth-child(odd).show .service-content {
    transform: translateX(0);
    opacity: 1;
}
.service-info__details-page:nth-child(even) .service-card {
    flex-direction: row-reverse;
}
/*------
    お問い合わせ
    ------*/
.contact-page {
    margin-top: 150px;
}
.page-heading {
    font-size: 1.6rem;
    font-weight: bold;
    margin-bottom: 10px;
}
.container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}
.contactform {
    background: #ffffff;
    padding: 30px 40px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 100%;
    width: 100%;
    margin: 20px auto;
}
.contactform h4 {
    font-size: 1.5em;
    font-weight: bold;
    margin-bottom: 20px;
    text-align: center;
    color: #333333;
}
.item {
    margin-bottom: 15px;
}
.label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
    color: #555555;
}
.form_tit {
    margin: 0;
}
.label-required {
    color: #ff0000;
}
.label-required-any {
    color: #555555;
}
input[type="text"], input[type="email"], input[type="tel"], textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #dddddd;
    border-radius: 5px;
    font-size: 1em;
    color: #333333;
}
textarea {
    resize: vertical;
    min-height: 100px;
}
.btn {
    text-align: center;
}
button[type="submit"] {
    background-color: #333;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 1em;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
button[type="submit"]:hover {
    background-color: #ffffff;
    border: solid 1px #181818; 
    color: #333;
}
.kakunin {
    background: #ffffff;
    padding: 30px 40px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 600px;
    margin: 120px auto;
}
.kakunin h4 {
    margin-bottom: 15px;
}
.sousin-btn {
    text-align: center;
    margin-bottom: 15px;
}
.modoru-btn {
    text-align: center;
    margin-top: 15px;
}
.back-btn {
    background-color: #c0c0c0;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 1em;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease;
    display: inline-block;
}
.back-btn:hover {
    background-color: #ffffff;
    border: 1px solid #101010;
    color: #333;
}
.back-btn a {
    text-decoration: none;
}
.miss {
    background: #ffffff;
    padding: 80px 40px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 600px;
    margin: 120px auto;
}
.miss-text {
    margin-bottom: 35px;
}
.miss-btn {
    background-color: #c0c0c0;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 1em;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease;
    display: inline-block;
}
.miss-btn a {
    text-decoration: none;
}
.miss-btn:hover {
    background-color: #ffffff;
    border: solid 1px #181818;
    color: #333;
}
.end {
    background: #ffffff;
    padding: 80px 40px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 100%;
    margin: 120px auto;
}
/**submit**/
.end h4 {
    font-size: 1.1rem;
    font-weight: bold;
    margin-bottom: 15px;
}
.contact-ckecktext p {
    font-size: 0.9rem;
    line-height: 2;
    margin-bottom: 15px;
}
.contact-ckecktext li {
    font-size: 0.8rem;
    margin-bottom: 10px;
}
.contact-ckecktext li strong{
    font-weight: bold;
}
/*------
    お問い合わせ
    ------*/

/*------
    footer
    ------*/
.footer_area {
    margin: 100px 0 50px 0;
    text-align: center;
}
.footer_area p {
    font-size: 12px;
}
.footer-gNav .gNav-menu {
    display: flex;
    justify-content: center;
    margin: 0 0 75px 0;
}
.footer-gNav .gNav-menu li {
    margin: 0 30px;
    padding: 0 10px;
    font-weight: 700;
    font-size: 12px;
}
.footer-gNav .gNav-menu li a:hover{
	color: #cecece;
}

/*------
    404
    ------*/
.error-404 {
    text-align: center;
    background-color: #ffffff;
    margin: 200px 0 150px;
    padding: 60px;
    border-radius: 35px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
.error-404 h2 {
    font-size: 48px;
    color: #333;
    margin-bottom: 20px;
}
.error-404 p {
    font-size: 18px;
    color: #666;
    margin-bottom: 30px;
}
.error-404 a {
    font-size: 18px;
    color: #333;
    text-decoration: none;
    border: 1px solid #f9dab2;
    padding: 10px 20px;
    border-radius: 5px;
    transition: background-color 0.3s, color 0.3s;
}
.error-404 a:hover {
    background-color: #181818;
    color: #ffffff;
}
.footer_area {
    margin-top: 100px;
    text-align: center;
}
.copy {
    color: #666;
}
.top-btn {
    margin-top: 70px;
}

/**topスクロール**/
#back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: block;
    opacity: 0;
    background-color: rgba(0, 0, 0, 0.6);
    color: #fff;
    padding: 10px;
    border-radius: 50%;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    cursor: pointer;
    z-index: 1000;
    transition: all 0.3s ease;
}
#back-to-top:hover {
    background-color: #444;
}


/*------
    SP設定
    ------*/
@media screen and (max-width: 920px) {
    .text-scroll-foreground {
        font-size: 1.125rem;
        line-height: 3;
    }
}
@media screen and (max-width: 820px) {
    .text-scroll-foreground {
        font-size: 1.125rem;
        line-height: 3;
        max-width: 500px;
        width: 100%;
    }
    .item {
        display: block;
    }
    .label {
        display: block;
        margin-bottom: 5px;
    }
}
@media screen and (max-width: 767px) {
    /*nav*/
    .btn-gNav {
        display: block;
    }
    .gNav {
        position: fixed;
        top: 0;
        right: -100%;
        width: 100%;
        height: 100%;
        background-color: rgba(23, 23, 23, 0.9);;
        font-size: 16px;
        box-sizing: border-box;
        z-index: 1;
        padding-top: 50px;
        transition: .3s;
    }
    .gNav.open {
        right: 0;
        height: 80vh;
        z-index: 2;
    }
    .gNav .gNav-menu {
        padding: 0;
        width: 100%;
        height: 100%;
        display: block;
        flex-direction: column;
        text-align: center;
        /*justify-content: center;*/
    }
    .gNav .gNav-menu li {
        width: 86%;
        padding: 15px;
        font-size: 16px;
        letter-spacing: 2px;
        border-bottom: #ffffff 1px solid;
        color: #ffffff;
    }


    /**/
    .main-section h1 {
        font-size: 1.5rem;
        font-weight: bold;
    }
    .about-content {
        display: block;
    }
    .about-text {
        margin-left: -0;
        font-size: 1.2rem;
        justify-content: flex-start;
    }
    /* SPトップページサービス */
    .top-service {
        padding: 20px 0;
    }
    .top-service h2{
        font-size: 2.2rem;
        margin-left: 0;
    }
    .service-card {
        display: block; /* 画像とテキストを縦に並べる */
        width: 100%; /* 各カードが全幅を使用 */
        margin-bottom: 30px; /* カード間のスペース */
    }
    .service-card-image {
        width: 100%; /* 画像が全幅を占める */
        height: auto; /* 高さは自動調整 */
        object-fit: cover;
    }
    .service-card-info {
        padding: 20px;
        width: 100%; /* テキスト部分も全幅を占める */
    }
    .service-card-info h3 {
        font-size: 1.6rem;
    }
    .service-card-info p {
        font-size: 1rem;
    }
    /* spトップページカンパニー */
    .top-company {
        display: block;
    }
    .top-company h2{
        font-size: 2.2rem;
        margin-left: 0;
    }
    .company-info__wrapper {
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }
    .company-info__details,
    .company-info-content {
        width: 100%;
    }
    .company-info__details dl,
    .company-info-content dl {
        margin-left: 0;
    }

    /* カンパニー */
    .company-about h2,
    .company-info__wrapper-page h2 {
        font-size: 1.5rem;
    }
    .company-about p {
        width: 100%;
    }
    .company-info__details-page dd {
        font-size: 0.8rem;
    }
    .company-info__details-page {
        width: 100%;
        margin: 5.625em 0 auto;
    }
    .company-map {
        width: 100%;
        margin: 5.625em 0 auto;
    }
    /* サービス */
    .service-item {
        display: block;
    }
    /*footer-nav*/
    .footer-gNav .gNav-menu li {
        margin: 0 auto;
    }

    #back-to-top {
        bottom: 15px;
        right: 15px;
        font-size: 20px;
        padding: 8px;
    }
}
@media (max-width: 600px) {
    .contactform {
        padding: 15px 20px;
    }

    .contactform h4 {
        font-size: 1.3em;
    }

    input[type="text"], input[type="email"], input[type="tel"], textarea {
        font-size: 0.9em;
    }

    button[type="submit"] {
        padding: 10px 20px;
        font-size: 0.9em;
    }
}
@media (max-width: 520px) {
    .text-scroll-foreground {
        font-size: 1.125rem;
        line-height: 2.2;
        max-width: 300px;
        width: 100%;
    }
}
@media (max-width: 480px) {
    header .logo {
        margin: 20px 0 0 0;
    }
    #back-to-top {
        bottom: 10px;
        right: 10px;
        font-size: 18px;
        padding: 7px;
    }
}